Retrieves rolled up actual billing data by account for a given number of years- Result includes cost, use, unit cost on an yearly basis. It also includes commodity level break up.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| accountId | The account to retrieve data for | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| numberOfYears | Number of years of data to return includes the current year - Defaults to 4 | integer (int32) | Optional |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
AccountDigestActualYearlyResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| accountCode | The account code | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| accountId | The account identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| accountInfo | The account info | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| commodities | An array of yearly data per commodity | AccountDigestActualYearlyResponse+CommodityData[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
AccountDigestActualYearlyResponse+CommodityData properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| costUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| globalUseUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| results | An array of yearly data | AccountDigestActualYearlyResponse+Results[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
AccountDigestActualYearlyResponse+Results properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| updated | The date and time the data was updated | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "accountCode": "string", "accountId": 1, "accountInfo": "string", "commodities": [
{ "commodityCode": "string", "commodityId": 1, "commodityInfo": "string", "commonUseUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "costUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "results": [
{ "commonUse": 1.0, "commonUseUnitCost": 1.0, "globalUse": 1.0, "globalUseUnitCost": 1.0, "totalCost": 1.0, "year": "string"
}
]
}
], "costUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "globalUseUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "results": [
{ "globalUse": 1.0, "globalUseUnitCost": 1.0, "totalCost": 1.0, "year": "string"
}
], "updated": "2026-03-30"
}
204
No Content
The request succeeded. No content is returned in the response body.